org.eclipse.rdf4j.query.algebra

## Class Sum

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.UnaryValueOperator
    - - org.eclipse.rdf4j.query.algebra.AbstractAggregateOperator
      - - org.eclipse.rdf4j.query.algebra.Sum

- All Implemented Interfaces:
    Serializable, Cloneable, AggregateOperator, GraphPatternGroupable, QueryModelNode, ValueExpr, VariableScopeChange

      public class Sum
      extends AbstractAggregateOperator

  The SUM operator as defined in http://www.w3.org/TR/sparql11-query/#aggregates
  Author:
    Jeen Broekstra
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.UnaryValueOperator

      `arg`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sum(ValueExpr arg)`
    `Sum(ValueExpr arg, boolean distinct)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Sum` | `clone()` Returns a (deep) clone of this query model node.
    `boolean` | `equals(Object other)` Returns `true` if this query model node and its children are recursively equal to `o` and its children.
    `int` | `hashCode()`
    `<X extends Exception> void` | `visit(QueryModelVisitor<X> visitor)` Visits this node.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractAggregateOperator

      `isDistinct, setDistinct`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.UnaryValueOperator

      `getArg, replaceChildNode, setArg, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceChildNode, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString, visitChildren`

- - ### Constructor Detail

    - #### Sum

          public Sum(ValueExpr arg)

    - #### Sum

          public Sum(ValueExpr arg,
                     boolean distinct)

  - ### Method Detail

    - #### visit

          public <X extends Exception> void visit(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Throws:
        `X extends Exception`

    - #### equals

          public boolean equals(Object other)

      Description copied from interface: `QueryModelNode`
      Returns `true` if this query model node and its children are recursively equal to `o` and its children.
      Specified by:
        `equals` in interface `QueryModelNode`
      Overrides:
        `equals` in class `UnaryValueOperator`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractAggregateOperator`

    - #### clone

          public Sum clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `AggregateOperator`
      Specified by:
        `clone` in interface `QueryModelNode`
      Specified by:
        `clone` in interface `ValueExpr`
      Overrides:
        `clone` in class `AbstractAggregateOperator`
      Returns:
        A deep clone of this query model node.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.